// styles used by select and dropdown components
.dropdown {
  position: absolute;
  max-height: 50vh;
  max-width: 75vw;
  margin-top: 0.25rem;
  border: border(grey-light);
  border-radius: $border-radius;
  background: color(white);
  overflow-y: auto;
  overflow-x: hidden;
  box-shadow: $box-shadow;
  z-index: 100;
  &.right {
    right: 0;
  }

  > div {
    padding: spacing(2);
    + div {
      padding-top: spacing(1);
    }
    > * + * {
      margin-top: spacing(1);
    }
  }

  ul {
    list-style: none;
  }

  .option {
    width: calc(100% + 1rem);
    margin: 0;
    padding: spacing(1) spacing(2);
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    a {
      color: color(primary-dark);
      text-decoration: none;
    }
    &.disabled {
      opacity: 0.5;
    }
    &:not(.disabled):hover,
    &:not(.disabled):focus {
      transition: $transition;
      background: color(primary);
      color: color(white);
      a {
        color: color(white);
      }
    }
  }
}
